      SUBROUTINE RMS(Q,X,Y,Z)
      COMPLEX X( 17 , 17 , 7 ),Y( 17 , 17 , 7 ),
     1Z( 17 , 17 , 7 ),Q( 17 , 17 )
      DIMENSION D( 7 ),V( 7 ),T( 7 )
      DT=0.
      QT=0.
      VT=0.
      TT=0.
      DO 10 LEV=1, 7
      D(LEV)=0.
      V(LEV)=0.
      T(LEV)=0.
      DO 15 LL=1, 17
      A=2.
      IF(LL .EQ. 1) A=1.
      DO 15 NN=1, 17
      F=REAL(X(NN,LL,LEV))
      G=AIMAG(X(NN,LL,LEV))
      D(LEV)=D(LEV)+A*(F*F+G*G)
      F=REAL(Y(NN,LL,LEV))
      G=AIMAG(Y(NN,LL,LEV))
      V(LEV)=V(LEV)+A*(F*F+G*G)
      F=REAL(Z(NN,LL,LEV))
      G=AIMAG(Z(NN,LL,LEV))
   15 T(LEV)=T(LEV)+A*(F*F+G*G)
      DT=DT+D(LEV)
      VT=VT+V(LEV)
      TT=TT+T(LEV)
      D(LEV)=SQRT(D(LEV)/2.)
      V(LEV)=SQRT(V(LEV)/2.)
   10 T(LEV)=SQRT(T(LEV)/2.)
      DO 20 LL=1, 17
      A=2.
      IF(LL .EQ. 1) A=1.
      DO 20 NN=1, 17
      F=REAL(Q(NN,LL))
      G=AIMAG(Q(NN,LL))
   20 QT=QT+A*(F*F+G*G)
      QT=SQRT(QT/2.)
      F=2.* 7
      DT=DT/F
      VT=VT/F
      TT=TT/F
      DT=SQRT(DT)
      VT=SQRT(VT)
      TT=SQRT(TT)
      WRITE(6,100) DT,(D(L),L=1, 7 )
  100 FORMAT(' DIV',9E12.4)
      WRITE(6,110) VT,(V(L),L=1, 7 )
  110 FORMAT(' VORT',9E12.4)
      WRITE(6,120) TT,(T(L),L=1, 7 )
  120 FORMAT(' TEMP',9E12.4)
      WRITE(6,130) QT
  130 FORMAT(' Q',E15.6)
      RETURN
      END
